REGISTER_NETDEVICE_N(9)

NAME
register_netdevice_notifier - register a network notifier block

SYNOPSIS

int register_netdevice_notifier(struct notifier_block * nb);

ARGUMENTS

nb
    notifier

DESCRIPTION

Register a notifier to be called when network device events occur. The notifier passed is linked into the kernel structures and must not be reused until it has been unregistered. A negative errno code is returned on a failure.

When registered all registration and up events are replayed to the new notifier to allow device to have a race free view of the network device list.

COPYRIGHT